{
  "name": "base-website-template-front",
  "version": "1.0.0",
  "description": "front-end sub-project",
  "author": "Sylvain Fargier <sylvain.fargier@cern.ch>",
  "scripts": {
    "help": "npm-scripts-info",
    "info": "run-s help",
    "test": "karma start --single-run --browsers ChromiumHeadless",
    "test:ci": "karma start --single-run --browsers ChromiumDocker",
    "test:watch": "nodemon -w src -w test -e vue,js,json -x karma start --single-run --browsers ChromiumHeadless",
    "build": "webpack --progress",
    "build:watch": "webpack -w --progress",
    "build:prod": "NODE_ENV=production webpack --progress",
    "lint": "lint",
    "lint:watch": "run-s 'watch -- run-s lint'",
    "lint:ci:builder": "lint --builder",
    "lint:ci:report": "mkci-lint-report",
    "tc:ci:builder": "tc --builder",
    "tc:ci:report": "mkci-tc-report",
    "watch": "nodemon -w src -w test -e vue,js,json -x "
  },
  "dependencies": {
    "@cern/base-vue": "^1.0.4",
    "@cern/base-web-workers": "^1.0.2",
    "@cern/prom": "^1.0.3",
    "@fortawesome/fontawesome-free": "^6.5.2",
    "axios": "^1.7.2",
    "bootstrap": "^4.5.3",
    "jquery": "^3.7.1",
    "lodash": "^4.17.21",
    "moment": "^2.30.1",
    "vue": "^2.6.12",
    "vue-router": "^3.4.8",
    "vue-simple-calendar": "^5.0.0",
    "vuex": "^3.5.1",
    "vuex-persistedstate": "^4.0.0-beta.1"
  },
  "devDependencies": {
    "@babel/core": "^7.24.7",
    "@babel/preset-env": "^7.24.7",
    "@cern/ci-utils": "^1.0.8",
    "@cern/eslint-config": "^1.0.1",
    "@cern/karma-mocha-webpack": "^1.0.3",
    "@tsconfig/recommended": "^1.0.6",
    "@types/chai": "^4.3.16",
    "@types/debug": "^4.1.12",
    "@types/dirty-chai": "^2.0.4",
    "@types/jquery": "^3.5.30",
    "@types/lodash": "^4.17.5",
    "@types/mocha": "^10.0.6",
    "@types/node": "^20.14.7",
    "@vue/language-plugin-pug": "^2.0.21",
    "@vue/test-utils": "^1.1.0",
    "babel-loader": "^9.1.3",
    "babel-plugin-istanbul": "^6.1.1",
    "chai": "^4",
    "commander": "^12.1.0",
    "compression-webpack-plugin": "^11.1.0",
    "css-loader": "^7.1.2",
    "dirty-chai": "^2.0.1",
    "eslint-plugin-pug": "^1.2.5",
    "eslint-plugin-vue": "^9.26.0",
    "file-loader": "^6.2.0",
    "js-yaml": "^4.1.0",
    "mocha": "^10.4.0",
    "nodemon": "^3.1.4",
    "nyc": "^17.0.0",
    "pug": "^3.0.3",
    "pug-plain-loader": "^1.1.0",
    "sass": "^1.77.6",
    "sass-loader": "^14.2.1",
    "sinon": "^18.0.0",
    "sinon-chai": "^3.7.0",
    "style-loader": "^4.0.0",
    "typescript": "^5.5.2",
    "vue-loader": "^15.9.4",
    "vue-template-compiler": "^2.6.12",
    "webpack": "^5.92.1",
    "webpack-cli": "^5.1.4",
    "worker-loader": "^3.0.8"
  },
  "engines": {
    "node": ">= 6.0.0",
    "npm": ">= 3.0.0"
  }
}
